import mainwindow
from PyQt5 import QtCore, QtGui, QtWidgets, uic
import signal
import sys


def sigint_handler():
    """Handler for the SIGINT signal."""
    sys.stderr.write('\r')
    QtWidgets.QApplication.quit()


if __name__ == "__main__":
    signal.signal(signal.SIGINT, sigint_handler)

    app = QtWidgets.QApplication(sys.argv)

    mw = mainwindow.MainWindow()
    mw.show()

    app.exec()
